UF_random_generator(3)

NAME
UF_random_generator - Another class random_generator that can be used in the STL random_shuffle function (see eoPop::shuffle): its operator() takes an unsigned argument m and must return an unsigned uniformly distributed in [0,m}.

SYNOPSIS

#include <rnd_generators.h>

  Public Member Functions
UF_random_generator (eoRng &_rng=rng)
T operator() (T _t)

  Private Attributes
eoRng & random

Detailed Description

  template<class T = uint32_t> class UF_random_generator< T >
Another class random_generator that can be used in the STL random_shuffle function (see eoPop::shuffle): its operator() takes an unsigned argument m and must return an unsigned uniformly distributed in [0,m}.

Definition at line 121 of file rnd_generators.h.

Author

Generated automatically by Doxygen for EO from the source code.